#include <windows.h>
#include <bsp.h>
#include <bsp_args.h>
#include <ethdbg.h>
#include "loader.h"
#include "menu.h"
// Download

extern PBOOT_CFG       g_pBootCfg;

// Launch
static int MenuHandlerLaunch(void *arg)
{
	return 2;
}

// Sub Menu - EbootConfig
extern void MenuEnterEbootConfig(void *arg);
extern void MenuExitEbootConfig(void *arg);
extern MENU_ITEM m_menuEbootConfig[];

// Sub Menu - DM Menus
extern MENU_ITEM m_menuDMCode[];

#ifndef SDMMC_BOOT
// Sub Menu - Onenand
extern MENU_ITEM m_menuOneNANDProc[];
#endif
	
MENU_ITEM m_menuMain[] =
{
//	{ 'C', "Bootloader Configurations", NULL, NULL, m_menuEbootConfig, MenuEnterEbootConfig, MenuExitEbootConfig},
//    	{ 'T', "TEST Modes", NULL, NULL, m_menuDMCode, NULL, NULL},
#ifndef SDMMC_BOOT
	{ 'N', "NAND Flash Memory Menu", NULL, NULL, m_menuOneNANDProc, NULL, NULL},
#endif	
//	{ 'L', "Launch existing flash resident image now", NULL, MenuHandlerLaunch, NULL, NULL, NULL},
	{ 'U', "Download New", NULL, NULL, NULL, NULL, NULL},//lqm added.
	{ 'L',"Download logo.bin",NULL,NULL,NULL,NULL,NULL},  // added by terry for logo.bon 2012.06.18
	{ '\0', "", NULL, NULL, NULL, NULL, NULL}
};

int EbootMainMenu(void)
{
	EdbgOutputDebugString("\r\n");

	return DisplayMenu("**                    System Configuration                   **", NULL, m_menuMain, NULL);
}

